Package org.h2gis.functions.spatial.distance

# Class ST_FurthestCoordinate

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.distance.ST_FurthestCoordinate

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_FurthestCoordinate extends org.h2gis.api.DeterministicScalarFunction
ST_FurthestCoordinate computes the furthest coordinate(s) contained in the given geometry starting from the given point, using the 2D distance. If the coordinate is unique, it is returned as a POINT. If it is not, then all furthest coordinates are returned in a MULTIPOINT.

Author:
  Erwan Bocher, Adam Gouge

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_FurthestCoordinate()`

## Method Summary

Modifier and Type
Method
Description
`static org.locationtech.jts.geom.Geometry`
`getFurthestCoordinate(org.locationtech.jts.geom.Point point, org.locationtech.jts.geom.Geometry geom)`
Computes the furthest coordinate(s) contained in the given geometry starting from the given point, using the 2D distance.
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_FurthestCoordinate

public ST_FurthestCoordinate()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### getFurthestCoordinate

public static org.locationtech.jts.geom.Geometry getFurthestCoordinate(org.locationtech.jts.geom.Point point, org.locationtech.jts.geom.Geometry geom) throws SQLException
Computes the furthest coordinate(s) contained in the given geometry starting from the given point, using the 2D distance.

Parameters:
  `point` - Point
  `geom` - Geometry
Returns:
  The furthest coordinate(s) contained in the given geometry starting from the given point, using the 2D distance
Throws:
  `SQLException`